com.genesyslab.wfm8.API.service.calendar800

## Class CalDataIndicator

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar800.CalDataIndicator

- All Implemented Interfaces:
    java.io.Serializable

      public class CalDataIndicator
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `dataExists` Data indicator, true - Calendar item exists for date
    `protected double` | `date` Date
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalDataIndicator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getDate()` Gets the date value for this CalDataIndicator.
    `int` | `hashCode()`
    `boolean` | `isDataExists()` Gets the dataExists value for this CalDataIndicator.
    `void` | `setDataExists(boolean dataExists)` Sets the dataExists value for this CalDataIndicator.
    `void` | `setDate(double date)` Sets the date value for this CalDataIndicator.
    `java.lang.String` | `toString()`
    `CalDataIndicator` | `withDataExists(boolean value)`
    `CalDataIndicator` | `withDate(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### date

          protected double date

      Date

    - #### dataExists

          protected boolean dataExists

      Data indicator, true - Calendar item exists for date

  - ### Constructor Detail

    - #### CalDataIndicator

          public CalDataIndicator()

  - ### Method Detail

    - #### getDate

          public double getDate()

      Gets the date value for this CalDataIndicator.
      Returns:
        date Date from requested date range

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalDataIndicator.
      Parameters:
        `date` - Date from requested date range

    - #### isDataExists

          public boolean isDataExists()

      Gets the dataExists value for this CalDataIndicator.
      Returns:
        dataExists Data indicator, true - Calendar data exist for given date and requested target

    - #### setDataExists

          public void setDataExists(boolean dataExists)

      Sets the dataExists value for this CalDataIndicator.
      Parameters:
        `dataExists` - Data indicator, true - Calendar data exist for given date and requested target

    - #### withDate

          public CalDataIndicator withDate(double value)

    - #### withDataExists

          public CalDataIndicator withDataExists(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.